package com.cmeeting.mapper.secondary;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cmeeting.ad.entity.SysUserSync;
import com.cmeeting.dto.UserDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysUserSysMapper  extends BaseMapper<SysUserSync> {
    String getCompanyEmail(String wid, String tenantId);

    String getParentDeptId(String deptId, String tenantId);

    List<UserDTO> getUserEmail(@Param(value = "tenantId")String tenantId);

    List<String> getSubDeptId(@Param(value = "deptId")String deptId);

    List<String> getUsersByDept(@Param(value = "deptIds") List<String> deptIds);
}
