package com.cmeeting.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.*;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("user_wecom")
public class WeComUser implements Serializable {

    private static final long serialVersionUID = -26238487532381000L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String userName;
    private String userId;
    private String isRepeatName;
    private String email;
}
